Subject: Re: bug#76974: 31.0.50; [wishlist] Add global key binding for tramp-revert-buffer-with-sudo

From: Michael Albinus <[email-masked]>
Date: Wed, 12 Mar 2025 12:05:56 +0100

Robert Pluim <[email-masked]> writes:

Hi Robert,

>     Michael> But revert-buffer is a good hint. We have already the 'C-x x g'
>     Michael> binding. How about to bind 'C-x x @' to tramp-revert-buffer-with-sudo?
>     Michael> The ctl-x-x-map collects already some less frequently used buffer
>     Michael> commands.
>
> I like this suggestion. Although for non-US keyboards maybe "C-x x s"
> would be easier to type?

Well, I use a German keyboard as well. Typing '@' isn't a pain, because it
happens so often; my finger muscles are trained. But I don't insist on
my preference. Majority of users will decide.

And there is still my proposal to bind '@' in dired. Similar key
bindings are a benefit.

> Robert

Best regards, Michael.